# Cisco BGP Peer

Monitors status of Cisco BGP peers (IPv4 and IPv6, with basic support for VRFs on NXOS)

**Incompatible changes form the last version for CMK 1.6.x**
- **minuptime: changed from warn to warn/crit**
- **check output: remove details changed to add details**
- **perfdata: names changed**

**Note**: the service name has ben changed from _**Cisco BGP peer**_ to _**BGP peer**_ for streamlining with my other BGP peer plugins.

---
### Check Info

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")
* *state*: [see bgp_peer states](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")

* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/master/doc/wato.png?raw=true "BGP Peer WATO options")
   
* *perfdata (if avilable)*: 
    * Prefixes accepted (count)
    * Prefixes advertised (/s)
    * Prefixes denied (/s)
    * Prefixes suppressed (/s)
    * Prefixes withdrawn (/s)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages received (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)

---
### Download

* [cisco_bgp_peer.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/cisco/cisco_bgp_peer/-/raw/master/cisco_bgp_peer.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install cisco_bgp_peer.mkp`. On CMK 2.2.x and above use `mkp add cisco_bgp_peer.mkp` and `mkp enable cisco_bgp_peer`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

In addition to this package you need to install the vendor independent plugin [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer") as well.

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

